Package: org.gradle.jvm

## [Java] Interface JvmLibrarySpec

- org.gradle.platform.base.PlatformAwareComponentSpec

- All Superinterfaces:
    LibrarySpec, JvmComponentSpec, ComponentSpec, PlatformAwareComponentSpec

  Definition of a JVM library component that is to be built by Gradle.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Collection<DependencySpec>` | `getApiDependencies()`
    `Set<String>` | `getExportedPackages()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface PlatformAwareComponentSpec` | `targetPlatform`

- - ### Method Detail

    - #### public Collection<DependencySpec> getApiDependencies()

    - #### public Set<String> getExportedPackages()